Loading...
Searching...
No Matches
Inboxes
Functions

## Functions

NATS_EXTERN natsStatus | natsInbox_Create (natsInbox **newInbox)
| Creates an inbox.
NATS_EXTERN void | natsInbox_Destroy (natsInbox *inbox)
| Destroys the inbox.

## Detailed Description

NATS Inboxes.

## Function Documentation

## natsInbox_Create()

NATS_EXTERN natsStatus natsInbox_Create | ( | natsInbox ** | newInbox | ) |

Returns an inbox string which can be used for directed replies from subscribers. These are guaranteed to be unique, but can be shared and subscribed to by others.

Note
  The inbox needs to be destroyed when no longer needed.

See also
  natsInbox_Destroy()

Parameters

  newInbox | the location where to store a pointer to the newly created natsInbox.

## natsInbox_Destroy()

NATS_EXTERN void natsInbox_Destroy | ( | natsInbox * | inbox | ) |

Destroys the inbox.

Parameters

  inbox | the pointer to the natsInbox object to destroy.